<style type="text/css">
fieldset.rates {
	background: url('/img/_/bg_rates.gif') repeat-x;
	width: 335px;
	height: 245px;
	float: left;
}

fieldset.rates .body {
	padding: 5px;
}
.rates table
{
	margin-top:7px;
	width:100%;
	border-collapse:collapse
}

.rates table thead th
{
	background:#333;
	color:#fff;
	text-align:center;
	padding:3px 5px
}

.rates table tbody td
{
	vertical-align:bottom;
	padding:5px 3px
}

.rates table tbody td.currency
{
	text-align:center;
	color:#555;
	font-weight:bold;
	font-family:Arial;
	font-size:13px;
	vertical-align:middle
}
.rates table tbody td.taxi
{
    float: left;
    margin-right: 17px;
}

.rates table label
{
	display:block;
	float:left;
	text-align:center;
	margin-right:2px;
	font-weight:normal;
	width:45px;
	cursor:pointer;
	padding:0
}

.rates table span
{
	display:inline
}

.rates table input
{
	display:inline;
	margin:0
}

.rates .quick-options
{
	margin-top:15px
}

.rates .quick-options strong {
	padding: 5px;
	background: #eee;
	color: #555;
	margin-bottom: 10px;
}

.rates .quick-options ul
{
	list-style:none;
	
}

.rates .quick-options ul li
{
	background:url(../img/_/bullet_quick-options.gif) no-repeat 0 50%;
	margin-top:5px
}

.rates .quick-options label
{
	width:147px;
	float: left;
	font-size: 12px;
}

.rates .quick-options input {
	float: left;
}

.rates .quick-options .currency
{
	text-align:center;
	color:#555;
	font-weight:bold;
	font-family:Arial;
	font-size:13px;
	vertical-align:middle;
	width:70px;
	float:left;
	padding-top:3px
}

.rates .quick-options .taxi
{
    float: left;
    margin-right: 13px;
}

.defined-rates
{
	border:1px dashed #cfcfcf;
	float:left;
	width:340px;
	margin-top:15px;
	padding:10px
}

.defined-rates p
{
	color:#999;
	padding-left:20px;
	margin: 10px 0;
}

.defined-rates ul
{
	list-style:none;
}

.defined-rates li
{
	float:none;
	display:block;
	height:20px;
	line-height:20px
}

.defined-rates li div
{
	float:left
}

.defined-rates .btn-remove
{
	/*background:#f00;
	float:right;
	width:16px;
	height:16px*/
	float: right;
}

.rates .quick-options strong,.defined-rates strong
{
	display:block
}

.rates .quick-options .outcall-width{
	width:147px !important
}
.special-rates
{
	margin-top: 10px;
    width: 728px;
}
</style>

<link rel="stylesheet" type="text/css" href="/css/cubix-selectbox.css" />

<? $time_units = array(1 => 'Minutes', 2 => 'Hours', 3 => 'Days') ?>
<fieldset class="rates" style="margin-right: 6px">
	<legend>Incall Rates</legend>
	<div class="body">
		<table>
			<thead>
				<tr>
					<th>Time</th>
					<th>Unit</th>
					<th>Amount</th>
					<th>Currency</th>
					<th></th>
				</tr>
			</thead>
			<tbody>
				<tr>
					<td>
						<input type="text" class="txt" value="" size="5" />
					</td>
					<td>
						<select>
							<? foreach ( $time_units as $unit => $title ): ?>
							<option value="<?= $unit ?>"><?= $title ?>&nbsp;&nbsp;</option>
							<? endforeach ?>
						</select>
					</td>
					<td>
						<input type="text" class="txt" value="" size="5" />
					</td>
					<td class="currency">
						<span>EUR</span>
					</td>
					<td>
						<div class="btn-add"></div>
					</td>
				</tr>
			</tbody>
		</table>

		<div class="quick-options">
			<strong>Quick Options</strong>
			<ul>
				<li>
					<label for="incall-additional-hour">any additional hour</label>
					<input id="incall-additional-hour" type="text" class="txt" value="" size="5" />
					<div class="currency">EUR</div>
					<div class="btn-add"></div>
					<div class="clear"></div>
				</li>
				<li>
					<label for="incall-overnight">overnight</label>
					<input id="incall-overnight" type="text" class="txt" value="" size="5" />
					<div class="currency">EUR</div>
					<div class="btn-add"></div>
					<div class="clear"></div>
				</li>
				<li>
					<label for="incall-dinner-date">dinner date</label>
					<input id="incall-dinner-date" type="text" class="txt" value="" size="5" />
					<div class="currency">EUR</div>
					<div class="btn-add"></div>
					<div class="clear"></div>
				</li>
				<li>
					<label for="incall-weekend">weekend</label>
					<input id="incall-weekend" type="text" class="txt" value="" size="5" />
					<div class="currency">EUR</div>
					<div class="btn-add"></div>
					<div class="clear"></div>
				</li>
			</ul>
		</div>
        
	</div>
    
</fieldset>
<fieldset class="rates">
	<legend>Outcall Rates</legend>
	<div class="body">
		<table>
			<thead>
				<tr>
					<th>Time</th>
					<th>Unit</th>
					<th>Amount</th>
					<th>Currency</th>
					<th>Taxi</th>
					<th></th>
				</tr>
			</thead>
			<tbody>
				<tr>
					<td>
						<input type="text" class="txt" value="" size="5" />
					</td>
					<td>
						<select>
							<? foreach ( $time_units as $unit => $title ): ?>
							<option value="<?= $unit ?>"><?= $title ?>&nbsp;&nbsp;</option>
							<? endforeach ?>
						</select>
					</td>
					<td>
						<input type="text" class="txt" value="" size="5" />
					</td>
					<td class="currency">
						<span>EUR</span>
					</td>
					<td>
						<input style="margin-bottom:6px;margin-left:7px" type="checkbox" name="" />
					</td>
					<td>
						<div class="btn-add"></div>
					</td>
				</tr>
			</tbody>
		</table>
		 
		<div class="quick-options">
			<strong>Quick Options</strong>
			<ul>
				<li>
					<label class="outcall-width" for="outcall-additional-hour">any additional hour</label>
					<input id="outcall-additional-hour" type="text" class="txt" value="" size="5" />
					<div class="currency">EUR</div>
					<div class="taxi"><input type="checkbox" name="" /></div>
					<div class="btn-add"></div>
					<div class="clear"></div>
				</li>
				<li>
					<label class="outcall-width" for="outcall-overnight">overnight</label>
					<input id="outcall-overnight" type="text" class="txt" value="" size="5" />
					<div class="currency">EUR</div>
					<div class="taxi"><input type="checkbox" name="" /></div>
					<div class="btn-add"></div>
					<div class="clear"></div>
				</li>
				<li>
					<label class="outcall-width" for="outcall-dinner-date">dinner date</label>
					<input id="outcall-dinner-date" type="text" class="txt" value="" size="5" />
					<div class="currency">EUR</div>
					<div class="taxi"><input type="checkbox" name="" /></div>
					<div class="btn-add"></div>
					<div class="clear"></div>
				</li>
				<li>
					<label class="outcall-width" for="outcall-weekend">weekend</label>
					<input id="outcall-weekend" type="text" class="txt" value="" size="5" />
					<div class="currency">EUR</div>
					<div class="taxi"><input type="checkbox" name="" /></div>
					<div class="btn-add"></div>
					<div class="clear"></div>
				</li>
			</ul>
		</div>
	</div>
</fieldset>
<div class="clear"></div>

<fieldset class="special-rates">
	<legend>Special Rates / Other</legend>
	<div class="body">
		<textarea name="special_rates" class="txt" style="width:720px; height:60px" ><?= $this->agency_data->special_rates ?></textarea>
	</div>
</fieldset>
	
<div class="clear"></div>

<div class="defined-rates" style="margin-right: 5px">
	<strong>Your incall rates</strong>
	<ul></ul>
	<p>You don't have set any incall rates yet</p>
    <div style="padding-top:5px;text-align: center"><a href="#" id="copy-to-outcall">copy rates to outcall rates >>></a></div>
	<input type="hidden" id="incall-rate-values" value='<?= json_encode($this->rates['incall']) ?>'/> 
</div>
<div class="defined-rates" style="width: 360px !important">
	<strong>Your outcall rates</strong>
	<ul></ul>
	<p>You don't have set any outcall rates yet</p>
    <div style="padding-top:5px;text-align: center"><a href="#" id="copy-to-incall"> <<<< copy rates to incall rates </a></div>
	<input type="hidden" id="outcall-rate-values" value='<?= json_encode($this->rates['outcall']) ?>'/> 
</div>

<div class="clear"></div>


<? if ( Cubix_Application::getId() == APP_ED || Cubix_Application::getId() == 33 || Cubix_Application::getId() == 22 ): ?>
<div style="float:left">

<fieldset class="rates" style="margin-top: 20px;">
	<legend>Travel Rates</legend>
	<div class="body">
		<table>
			<thead>
				<tr>
					<th>Time</th>
					<th>Unit</th>
					<th>Amount</th>
					<th>Currency</th>
					<th></th>
				</tr>
			</thead>
			<tbody>
				<tr>
					<td>
						<input type="text" class="txt" value="" size="7" />
					</td>
					<td>
						<select>
							<? foreach ( $time_units as $unit => $title ): ?>
							<option value="<?= $unit ?>"><?= $title ?>&nbsp;&nbsp;</option>
							<? endforeach ?>
						</select>
					</td>
					<td>
						<input type="text" class="txt" value="" size="7" />
					</td>
					<td class="currency">
						<span>EUR</span>
					</td>
					<td>
						<div class="btn-add"></div>
					</td>
				</tr>
			</tbody>
		</table>

		<div class="quick-options">
			<strong>Quick Options</strong>
			<ul>
				<li>
					<label for="travel-weekend">weekend (48 hours)</label>
					<input id="travel-weekend" type="text" class="txt" value="" size="7" />
					<div class="currency">EUR</div>
					<div class="btn-add"></div>
					<div class="clear"></div>
				</li>
			</ul>
		</div>
	</div>
</fieldset>
	
<div class="clear"></div>

<div class="defined-rates" style="margin-right: 15px">
	<strong>Your travel rates</strong>
	<ul></ul>
	<p>You don't have set any travel rates yet</p>
	<input type="hidden" id="travel-rate-values" value='<?= json_encode($this->rates['travel']) ?>'/> 
</div>

<div class="clear"></div>

</div>

<? $DEFINITIONS = Zend_Registry::get('defines'); ?>

<fieldset style="margin-top: 20px; float: left;" class="conditions">
	<legend>Conditions</legend>
	<div class="body">
		<table style="margin-bottom: 5px;">
			<thead>
				<tr>
					<th colspan="2">Minimum Booking Time</th>
				</tr>
			</thead>
			<tbody>
				<tr>
					<td style="width: 70px;">
						<input type="text" name="min_book_time" class="txt" value="<?= $this->agency_data->min_book_time ?>" size="7" />
					</td>
					<td>
						<select name="min_book_time_unit">
							<? foreach ( $DEFINITIONS['hours_days_options'] as $unit => $title ): ?>
							<option <? if( $unit == $this->escort->min_book_time_unit ):?>selected="selected"<? endif; ?> value="<?= $unit ?>"><?= $title ?>&nbsp;&nbsp;</option>
							<? endforeach ?>
						</select>
					</td>
				</tr>
			</tbody>
		</table>

		<table style="margin-bottom: 5px;">
			<thead>
				<tr>
					<th colspan="3">Down Payment required</th>
				</tr>
			</thead>
			<tbody>
				<tr>
					<td style="width: 150px;">
						<? foreach( $DEFINITIONS['y_n_neg_options'] as $val => $title ): ?>
						<label><input <? if ( $val == $this->agency_data->has_down_pay ): ?>checked="checked"<? endif; ?> type="radio" name="has_down_pay" value="<?= $val ?>" /> <?= $title ?></label>
						<? endforeach; ?>
					</td>
					<td style="vertical-align: middle; width: 70px;">
						<input type="text" name="down_pay" class="txt" value="<?= $this->agency_data->down_pay ?>" size="7" />
					</td>
					<td style="vertical-align: middle;">
						<select name="down_pay_cur">
							<option <? if( PERCENT == $this->agency_data->down_pay_cur ): ?>selected="selected"<? endif; ?> value="<?= PERCENT ?>">%</option>
							<? foreach ( Model_Currencies::getAllAssoc() as $k => $v ): ?>
							<option <? if( $k == $this->agency_data->down_pay_cur ): ?>selected="selected"<? endif; ?> value="<?= $k ?>"><?= $v ?>&nbsp;&nbsp;</option>
							<? endforeach ?>
						</select>
					</td>
				</tr>
			</tbody>
		</table>

		<table style="margin-bottom: 5px;">
			<thead>
				<tr>
					<th colspan="4">Payment Method(s)</th>
				</tr>
			</thead>
			<tbody>
				
				<tr>
					<td>
						<label><input <? if( @in_array(PM_CASH, $this->travel_payment_methods) ): ?>checked="checked"<? endif; ?> type="checkbox" name="travel_payment_method[<?= PM_CASH ?>]" value="<?= PM_CASH ?>" /> <?= $DEFINITIONS['payment_method_options'][PM_CASH] ?></label>
						<label><input <? if( @in_array(PM_WESTERN_UNION, $this->travel_payment_methods) ): ?>checked="checked"<? endif; ?> type="checkbox" name="travel_payment_method[<?= PM_WESTERN_UNION ?>]" value="<?= PM_WESTERN_UNION ?>" /> <?= $DEFINITIONS['payment_method_options'][PM_WESTERN_UNION] ?></label>
						<label><input <? if(@in_array(PM_BANK_WIRE, $this->travel_payment_methods) ): ?>checked="checked"<? endif; ?> type="checkbox" name="travel_payment_method[<?= PM_BANK_WIRE ?>]" value="<?= PM_BANK_WIRE ?>" /> <?= $DEFINITIONS['payment_method_options'][PM_BANK_WIRE] ?></label>
					</td>
					<td>
						<label><input <? if( @in_array(PM_MONEYGRAM, $this->travel_payment_methods) ): ?>checked="checked"<? endif; ?> type="checkbox" name="travel_payment_method[<?= PM_MONEYGRAM ?>]" value="<?= PM_MONEYGRAM ?>" /> <?= $DEFINITIONS['payment_method_options'][PM_MONEYGRAM] ?></label>
						<label><input <? if( @in_array(PM_PAYPAL, $this->travel_payment_methods) ): ?>checked="checked"<? endif; ?> type="checkbox" name="travel_payment_method[<?= PM_PAYPAL ?>]" value="<?= PM_PAYPAL ?>" /> <?= $DEFINITIONS['payment_method_options'][PM_PAYPAL] ?></label>
					</td>
					<td>
						<label><input <? if( @in_array(PM_CREDIT_CARD, $this->travel_payment_methods) ): ?>checked="checked"<? endif; ?> type="checkbox" name="travel_payment_method[<?= PM_CREDIT_CARD ?>]" value="<?= PM_CREDIT_CARD ?>" /> <?= $DEFINITIONS['payment_method_options'][PM_CREDIT_CARD] ?></label>
						<label><input <? if( @in_array(PM_OTHER, $this->travel_payment_methods) ): ?>checked="checked"<? endif; ?> type="checkbox" name="travel_payment_method[<?= PM_OTHER ?>]" value="<?= PM_OTHER ?>" /> <?= $DEFINITIONS['payment_method_options'][PM_OTHER] ?></label>
					</td>
					
					<td style="width: 100px;">
						<input type="text" name="travel_other_method" class="txt" value="<?= $this->other_payment_method ?>" size="7" /><br/>
						<span style="font-size: 10px;">(please specify)</span>
					</td>
				</tr>
			</tbody>
		</table>

		<table>
			<thead>
				<tr>
					<th colspan="3">Flight Reservation done by</th>
				</tr>
			</thead>
			<tbody>
				<tr>
					<? foreach( $DEFINITIONS['flight_reservation_by'] as $val => $title ): ?>
					<td>
						<label><input type="radio" <? if ( $val == $this->agency_data->reservation ): ?>checked="checked"<? endif; ?> name="reservation" value="<?= $val ?>" /> <?= $title ?></label>
					</td>
					<? endforeach; ?>
				</tr>
			</tbody>
		</table>
	</div>
	<div class="clear"></div>
</fieldset>
<div class="clear"></div>
<? endif; ?>